Bug 227232 - unknown: LowPerformance took 20971 ms.
unknown: LowPerformance took 20971 ms.
Status: STARTED
Product: ide
Classification: Unclassified
Component: Code
8.0
PC Windows 7 x64
: P2 with 2 votes (vote)
: TBD
Assigned To: Tomas Hurka
issues@ide
EXCEPTIONS_REPORT perf-profileme jdk_...
: 8.1_WAIVER_APPROVED, JDK_8, PERFORMANCE
: 195278 238267 239056 239125 239614 239649 240415 240709 240876 240997 241101 241161 241196 241437 241623 241784 242008 242842 243434 244053 244254 244258 244871 245359 246599 247203 247674 247966 248062 248540 249271 250059 250374 250396 250504 250811 250992 251218 251318 252487 253023 253629 255086 255412 256083 256740 256918 257111 257166 257269 257818 258057 258402 258766 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-09 11:57 UTC by sreimers
Modified: 2016-08-30 18:58 UTC (History)
132 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
nps snapshot (26.58 KB, application/nps)
2013-03-09 11:57 UTC, sreimers
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sreimers 2013-03-09 11:57:36 UTC
This bug was originally marked as duplicate of bug 181584, that is already resolved. This bug is still valid, so this seems to be another bug, but it might be related.

Build: NetBeans IDE Dev (Build 201303032300)
VM: Java HotSpot(TM) 64-Bit Server VM, 25.0-b21, Java(TM) SE Runtime Environment, 1.8.0-ea-b80
OS: Windows 7
Maximum slowness yet reported was 20971 ms, average is 20971
Comment 1 sreimers 2013-03-09 11:57:38 UTC
Created attachment 132398 [details]
nps snapshot
Comment 2 Petr Cyhelsky 2013-03-11 12:07:56 UTC
The whole time in AWT is spent in sun.awt.Win32GraphicsDevice.isPixFmtSupported[native]() - reassigning to jdk problems to evaluate whether this is some known or new jdk problem.
Comment 3 Marian Mirilovic 2013-06-26 15:03:26 UTC
the only report is on JDK8
Comment 4 Antonin Nebuzelsky 2013-06-28 12:19:18 UTC
JDK bug filed.
http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=8019378

Closing wontfix on NetBeans side.
Comment 5 Petr Cyhelsky 2013-11-12 11:43:53 UTC
*** Bug 238267 has been marked as a duplicate of this bug. ***
Comment 6 Petr Cyhelsky 2013-11-12 11:53:53 UTC
a workaround is suggested in http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=6477756 :
-Dsun.awt.nopixfmt=true
should be used - if the application doesn't use OpenGL this shouldn't cause any problems.
Comment 7 Petr Cyhelsky 2013-12-03 10:36:01 UTC
*** Bug 239056 has been marked as a duplicate of this bug. ***
Comment 8 Petr Cyhelsky 2013-12-05 09:53:02 UTC
*** Bug 239125 has been marked as a duplicate of this bug. ***
Comment 9 Antonin Nebuzelsky 2013-12-16 12:47:49 UTC
*** Bug 195278 has been marked as a duplicate of this bug. ***
Comment 10 Antonin Nebuzelsky 2013-12-19 13:39:14 UTC
*** Bug 239649 has been marked as a duplicate of this bug. ***
Comment 11 Petr Cyhelsky 2013-12-20 13:26:17 UTC
*** Bug 239614 has been marked as a duplicate of this bug. ***
Comment 12 Tomas Hurka 2014-01-13 14:01:41 UTC
*** Bug 240415 has been marked as a duplicate of this bug. ***
Comment 13 Tomas Hurka 2014-01-29 14:36:45 UTC
*** Bug 240709 has been marked as a duplicate of this bug. ***
Comment 14 Tomas Hurka 2014-01-30 08:48:27 UTC
*** Bug 240876 has been marked as a duplicate of this bug. ***
Comment 15 Tomas Hurka 2014-01-30 08:50:31 UTC
*** Bug 240997 has been marked as a duplicate of this bug. ***
Comment 16 Tomas Hurka 2014-01-30 08:52:48 UTC
*** Bug 241101 has been marked as a duplicate of this bug. ***
Comment 17 Tomas Hurka 2014-01-30 12:31:53 UTC
*** Bug 241161 has been marked as a duplicate of this bug. ***
Comment 18 Tomas Hurka 2014-01-31 06:02:07 UTC
*** Bug 241196 has been marked as a duplicate of this bug. ***
Comment 19 Tomas Hurka 2014-02-05 12:46:15 UTC
*** Bug 241437 has been marked as a duplicate of this bug. ***
Comment 20 Tomas Hurka 2014-02-10 08:10:35 UTC
*** Bug 241623 has been marked as a duplicate of this bug. ***
Comment 21 Tomas Hurka 2014-02-13 05:42:14 UTC
*** Bug 241784 has been marked as a duplicate of this bug. ***
Comment 22 Petr Cyhelsky 2014-02-18 09:43:42 UTC
*** Bug 242008 has been marked as a duplicate of this bug. ***
Comment 23 Antonin Nebuzelsky 2014-02-18 10:11:11 UTC
Increased priority of the JDK bug.

https://bugs.openjdk.java.net/browse/JDK-6477756
Comment 24 Petr Cyhelsky 2014-03-13 12:40:29 UTC
*** Bug 242842 has been marked as a duplicate of this bug. ***
Comment 25 Petr Cyhelsky 2014-04-04 08:10:48 UTC
*** Bug 243434 has been marked as a duplicate of this bug. ***
Comment 26 Tomas Hurka 2014-04-25 13:20:40 UTC
*** Bug 244053 has been marked as a duplicate of this bug. ***
Comment 27 Jesse Glick 2014-04-29 18:58:49 UTC
I just uploaded a snapshot related to the Profiler’s heap dump viewer, taken on Linux, so surely it cannot be blocked by that Windows-specific JRE bug?
Comment 28 CharlieB 2014-04-29 19:17:33 UTC
Strangely enough, my issue was resolved by updating the NVIDIA video driver.  I found a reference in passing on stackoverflow to a relationship between netbeans performance and video driver version.  This is not the answer I expected, but after updating the driver, I've not seen the problem again.  It was quite repeatable before.  I didn't write down the driver version number before but it was quite a bit lower than the one I upgraded to (Nvidia 337.76)
Comment 29 Tomas Hurka 2014-05-02 15:38:49 UTC
*** Bug 244254 has been marked as a duplicate of this bug. ***
Comment 30 Petr Cyhelsky 2014-05-16 14:07:01 UTC
*** Bug 244258 has been marked as a duplicate of this bug. ***
Comment 31 Petr Cyhelsky 2014-06-06 07:07:47 UTC
*** Bug 244871 has been marked as a duplicate of this bug. ***
Comment 32 Petr Cyhelsky 2014-07-02 11:54:02 UTC
*** Bug 245359 has been marked as a duplicate of this bug. ***
Comment 33 Falchion14 2014-07-11 16:43:48 UTC
Why is this ticket a "won't fix"?  This problem is very real.  Is there a work around?  Is there a ticket open else where.  Could the resolver please explain themselves?  Thank you.
Comment 34 Falchion14 2014-07-11 16:47:31 UTC
If this is a JDK bug, how come it doesn't affect NetBeans 7.3?

Can someone provide a work around since Oracle seems to be uninterested in fixing this problem?
Comment 35 Falchion14 2014-07-11 18:35:51 UTC
So the workaround is in there along with the Won't Fix explanation... it is just buried in so many duplicate messages that I missed it.

May be NetBeans should consider changing their behavior since Oracle seems disinclined to change theirs?
Comment 36 Falchion14 2014-07-11 19:05:29 UTC
Okay, gleaning from the comments, I missed two workarounds:

1) Run Netbeans with "-Dsun.awt.nopixfmt=true" (edit netbeans.conf file)
2) Upgrade NVIDIA video driver

Hopefully posting them here helps someone else find them more easily.
Comment 37 Tomas Hurka 2014-08-22 15:50:00 UTC
*** Bug 246599 has been marked as a duplicate of this bug. ***
Comment 38 Tomas Hurka 2014-09-19 12:18:32 UTC
*** Bug 247203 has been marked as a duplicate of this bug. ***
Comment 39 Tomas Hurka 2014-10-03 14:32:19 UTC
*** Bug 247674 has been marked as a duplicate of this bug. ***
Comment 40 Tomas Hurka 2014-10-16 07:57:32 UTC
*** Bug 247966 has been marked as a duplicate of this bug. ***
Comment 41 Tomas Hurka 2014-10-21 09:34:29 UTC
*** Bug 248062 has been marked as a duplicate of this bug. ***
Comment 42 Tomas Hurka 2014-11-14 13:43:02 UTC
*** Bug 248540 has been marked as a duplicate of this bug. ***
Comment 43 Tomas Hurka 2015-02-06 09:29:14 UTC
*** Bug 250059 has been marked as a duplicate of this bug. ***
Comment 44 Tomas Hurka 2015-02-06 13:25:19 UTC
*** Bug 249271 has been marked as a duplicate of this bug. ***
Comment 45 Tomas Hurka 2015-02-11 14:29:56 UTC
*** Bug 250374 has been marked as a duplicate of this bug. ***
Comment 46 Tomas Hurka 2015-02-16 09:16:16 UTC
*** Bug 250396 has been marked as a duplicate of this bug. ***
Comment 47 Jesse Glick 2015-02-18 21:36:43 UTC
Still seeing something on Linux that gets resolved as a duplicate of this. The reports are from all different OSs, so the original evaluation cannot be complete.
Comment 48 Tomas Hurka 2015-02-19 06:14:57 UTC
*** Bug 250504 has been marked as a duplicate of this bug. ***
Comment 49 terje7601 2015-02-20 08:37:07 UTC
In my case the slowness was due to Maven indexing (issue 250158), so I'm not sure why the report was determined to be a duplicate of this issue.
Comment 50 Tomas Hurka 2015-03-27 09:51:33 UTC
*** Bug 251218 has been marked as a duplicate of this bug. ***
Comment 51 Tomas Hurka 2015-03-27 09:58:23 UTC
*** Bug 250992 has been marked as a duplicate of this bug. ***
Comment 52 Tomas Hurka 2015-03-27 09:59:14 UTC
*** Bug 250811 has been marked as a duplicate of this bug. ***
Comment 53 Alexander Simon 2015-04-02 20:54:37 UTC
3850 reports => P1
Comment 54 Alexander Simon 2015-04-02 21:01:38 UTC
I do not see JDK problem in my report 773323.
The root cause of the slowness is performing long (or ineffective) operation in EDT.
Method org.netbeans.lib.profiler.ui.swing.SearchUtils.findString(SearchUtils.java:117)
Comment 55 Tomas Hurka 2015-05-21 15:03:46 UTC
*** Bug 252487 has been marked as a duplicate of this bug. ***
Comment 56 Tomas Hurka 2015-06-16 14:39:39 UTC
*** Bug 253023 has been marked as a duplicate of this bug. ***
Comment 57 Tomas Hurka 2015-07-22 13:52:05 UTC
*** Bug 253629 has been marked as a duplicate of this bug. ***
Comment 58 Roman Svitanic 2015-07-23 13:35:16 UTC
Going through the last 20 reports from last 5 days shows that majority of these reports are unrelated to each other.

Number of occurrence followed by suspicious method:
5x sun.awt.Win32GraphicsDevice.isPixFmtSupported[native]()
4x sun.awt.Win32GraphicsDevice.getMaxConfigsImpl[native]()
4x org.netbeans.modules.parsing.impl.indexing.RepositoryUpdater$Work$2.run()
3x sun.java2d.windows.GDIBlitLoops.nativeBlit[native]()
2x sun.nio.ch.FileDispatcherImpl.read0[native]()
2x com.sun.java.swing.plaf.gtk.GTKEngine.nativeFinishPainting[native]()
Comment 59 Tomas Hurka 2015-09-08 11:15:06 UTC
*** Bug 255086 has been marked as a duplicate of this bug. ***
Comment 60 Antonin Nebuzelsky 2015-09-14 13:31:27 UTC
*** Bug 251318 has been marked as a duplicate of this bug. ***
Comment 61 lolo_101 2015-09-16 19:44:45 UTC
In a Maven project I was working on, a part of the sources was generated by an XJC plugin.

When we decided to move the generated sources in the src/ directory (and in our VCS) and disable the xjc plugin, then all performance issues suddenly vanished in my NetBeans IDE !

Could the parsing of generated sources be a performance issue ?
Comment 62 Antonin Nebuzelsky 2015-09-25 15:14:04 UTC
(In reply to Roman Svitanic from comment #58)
> Going through the last 20 reports from last 5 days shows that majority of
> these reports are unrelated to each other.
> 
> Number of occurrence followed by suspicious method:
> 5x sun.awt.Win32GraphicsDevice.isPixFmtSupported[native]()
> 4x sun.awt.Win32GraphicsDevice.getMaxConfigsImpl[native]()
> 4x org.netbeans.modules.parsing.impl.indexing.RepositoryUpdater$Work$2.run()
> 3x sun.java2d.windows.GDIBlitLoops.nativeBlit[native]()
> 2x sun.nio.ch.FileDispatcherImpl.read0[native]()
> 2x com.sun.java.swing.plaf.gtk.GTKEngine.nativeFinishPainting[native]()


This bug report continues to be a mess. It is a trash bin accumulating hundreds unrelated problems.

Can the server side of exception reporter be fixed to make these separate bugs for the different cases?
Comment 63 Tomas Hurka 2015-09-29 06:38:06 UTC
*** Bug 255412 has been marked as a duplicate of this bug. ***
Comment 64 Jiri Kovalsky 2015-09-30 13:20:53 UTC
Bug waiver for 8.1 approved. For the record, additional tweaking needs to be done on Exceptions Reporter though.
Comment 65 Jiri Kovalsky 2015-10-01 13:33:42 UTC
NetBeans QE no longer owns Exception Reporter. Reassigning to Tomas Hurka who took it over from Tomas Danek in the past.
Comment 66 Tomas Hurka 2015-10-29 10:16:20 UTC
*** Bug 256083 has been marked as a duplicate of this bug. ***
Comment 67 Tomas Hurka 2015-12-16 09:09:41 UTC
*** Bug 256740 has been marked as a duplicate of this bug. ***
Comment 68 Tomas Hurka 2015-12-16 09:10:31 UTC
*** Bug 256918 has been marked as a duplicate of this bug. ***
Comment 69 Tomas Hurka 2016-04-29 07:29:12 UTC
*** Bug 258766 has been marked as a duplicate of this bug. ***
Comment 70 Tomas Hurka 2016-04-29 07:40:21 UTC
*** Bug 258402 has been marked as a duplicate of this bug. ***
Comment 71 Tomas Hurka 2016-04-29 07:44:28 UTC
*** Bug 258057 has been marked as a duplicate of this bug. ***
Comment 72 Tomas Hurka 2016-04-29 07:46:59 UTC
*** Bug 257818 has been marked as a duplicate of this bug. ***
Comment 73 Tomas Hurka 2016-04-29 07:47:55 UTC
*** Bug 257269 has been marked as a duplicate of this bug. ***
Comment 74 Tomas Hurka 2016-04-29 07:50:15 UTC
*** Bug 257166 has been marked as a duplicate of this bug. ***
Comment 75 Tomas Hurka 2016-04-29 07:50:58 UTC
*** Bug 257111 has been marked as a duplicate of this bug. ***
Comment 76 MackSix 2016-08-30 18:58:46 UTC
Please don't change versions of NetBeans or OS on bug reports. Thank you.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo